org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure

## Class PDMarkedContentReference

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDMarkedContentReference

All Implemented Interfaces:
  COSObjectable

    public class PDMarkedContentReference
    extends Object
    implements COSObjectable

A marked-content reference.

Author:
  Johannes Koch

### Field Summary

Fields
`static String` `TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDMarkedContentReference()` Default constructor
`PDMarkedContentReference(COSDictionary dictionary)` Constructor for an existing marked content reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`int` `getMCID()` Gets the marked content identifier.
`PDPage` `getPage()` Gets the page.
`void` `setMCID(int mcid)` Sets the marked content identifier.
`void` `setPage(PDPage page)` Sets the page.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### PDMarkedContentReference

    public PDMarkedContentReference()

Default constructor

#### PDMarkedContentReference

    public PDMarkedContentReference(COSDictionary dictionary)

Constructor for an existing marked content reference.

Parameters:
  `dictionary` - the page dictionary

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getPage

    public PDPage getPage()

Gets the page.

Returns:
  the page

#### setPage

    public void setPage(PDPage page)

Sets the page.

Parameters:
  `page` - the page

#### getMCID

    public int getMCID()

Gets the marked content identifier.

Returns:
  the marked content identifier

#### setMCID

    public void setMCID(int mcid)

Sets the marked content identifier.

Parameters:
  `mcid` - the marked content identifier

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`